Subject: Re: bug#26660: 11.90.2; unable to generate preview

From: Arash Esbati <[email-masked]>
Date: Wed, 26 Apr 2017 11:40:27 +0200

Sureyya Sahin <[email-masked]> writes:

> I am not able to preview mathematical equation in preview latex.
>
> Emacs  : GNU Emacs 25.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.14.13)
>  of 2017-04-23
> Package: 11.90.2

> TeX Output exited as expected with code 1 at Tue Apr 25 18:45:05
> Running `Preview-PDF2DSC' with ``pdf2dsc _region_.pdf _region_.prv/tmp25150AkS/preview.dsc''
> Error: /invalidaccess in --.locksafe--
> [...]
> GPL Ghostscript 9.07: Unrecoverable error, exit code 1
>
> Preview-PDF2DSC exited abnormally with code 1 at Tue Apr 25 18:45:05
> Running `Preview-Ghostscript' with ``/home/ssahin/.local/texlive/2016/bin/x86_64-linux/rungs -dOutputFile\=\(_region_.prv/tmp25150AkS/pr1-\%d.png\) -q -dNOPAUSE -DNOPLATFONTS -dPrinted -dTextAlphaBits\=4 -dGraphicsAlphaBits\=4 -sDEVICE\=png16m -r115.334x115.313''
> Ghostscript filter: Args out of range: [(1 0)], 3

Hi Sureyya,

I'm not on Centos, but I suspect your Ghostscript is too old (GPL
Ghostscript 9.07 (2013-02-14)).  I vaguely remember issues with this
version back then.  Do you have a chance to update to version 9.21
(2017-03-16) and try it again?

Best, Arash